# Generated by go2rpm
%bcond_without check

# https://github.com/pierrec/lz4
%global goipath         github.com/pierrec/lz4
Version:                4.1.16

%gometa

%global goaltipaths     github.com/pierrec/lz4/v4

%global common_description %{expand:
Package lz4 implements reading and writing lz4 compressed data (a frame), as
specified in
https://fastcompression.blogspot.com/2013/04/lz4-streaming-format-final.html

This package is compatible with the LZ4 frame format although the block level
compression and decompression functions are exposed and are fully compatible
with the LZ4 block format definition, they are low level and should not be
used directly.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        LZ4 compression and decompression in pure Go
Group:          Development/Golang
# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(code.cloudfoundry.org/bytefmt)
BuildRequires:  golang(github.com/pierrec/cmdflag)
BuildRequires:  golang(github.com/schollz/progressbar/v3)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/golz4c %{goipath}/cmd/lz4c

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# https://github.com/pierrec/lz4/issues/156
for test in "TestWriterLegacy"\
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles



%changelog
* Fri Jul 04 2025 umeabot <umeabot> 4.1.16-2.mga10
+ Revision: 2246417
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Fri Dec 09 2022 pterjan <pterjan> 4.1.16-1.mga9
+ Revision: 1920146
- Update to 4.1.16

* Sat Jan 29 2022 guillomovitch <guillomovitch> 4.1.3-1.mga9
+ Revision: 1770412
- new version 4.1.3

* Tue Nov 16 2021 guillomovitch <guillomovitch> 4.1.2-2.mga9
+ Revision: 1757365
- rebuild for mageia 9

* Sat Jan 02 2021 pterjan <pterjan> 4.1.2-1.mga8
+ Revision: 1668320
- Update to 4.1.2

* Sun Nov 01 2020 pterjan <pterjan> 2.6.0-1.mga8
+ Revision: 1641327
- imported package golang-github-pierrec-lz4


* Sun Nov 01 16:51:14 UTC 2020 Pascal Terjan <pterjan@mageia.org> - 2.6.0-1
- Initial package

